Xapian: API Documentation: Xapian::PostingIterator Class Reference

xapian-core 1.4.18

Public Member Functions | List of all members
Xapian::PostingIterator Class Reference

Class for iterating over a list of terms. More...

## Public Member Functions
| PostingIterator (const PostingIterator &o)
| Copy constructor.
PostingIterator & | operator= (const PostingIterator &o)
| Assignment.
| PostingIterator ()
| Default constructor. More...
| ~PostingIterator ()
| Destructor.
Xapian::docid | operator* () const
| Return the document id at the current position.
Xapian::termcount | get_wdf () const
| Return the wdf for the document at the current position.
Xapian::termcount | get_doclength () const
| Return the length of the document at the current position.
Xapian::termcount | get_unique_terms () const
| Return the number of unique terms in the current document.
PositionIterator | positionlist_begin () const
| Return a PositionIterator for the current document.
PositionIterator | positionlist_end () const
| Return an end PositionIterator for the current document.
PostingIterator & | operator++ ()
| Advance the iterator to the next position.
DerefWrapper_< Xapian::docid > | operator++ (int)
| Advance the iterator to the next position (postfix version).
void | skip_to (Xapian::docid did)
| Advance the iterator to document did. More...
std::string | get_description () const
| Return a string describing this object.

## Detailed Description

Class for iterating over a list of terms.

## Constructor & Destructor Documentation

## ◆ PostingIterator()

Xapian::PostingIterator::PostingIterator | ( |  | ) |
| inline

Default constructor.

Creates an uninitialised iterator, which can't be used before being assigned to, but is sometimes syntactically convenient.

## Member Function Documentation

## ◆ skip_to()

void Xapian::PostingIterator::skip_to | ( | Xapian::docid | did | ) |

Advance the iterator to document did.

Parameters

  did | The document id to advance to. If this document id isn't in the stream being iterated, then the iterator is moved to the next document id after it which is.

The documentation for this class was generated from the following file:

- xapian/postingiterator.h